export default class ChromeWindowOption {
    readonly url : string | Array<string>;
    readonly left : number;
    readonly top : number;
    readonly incognito : boolean;
    readonly height : number;
    readonly width : number;
    readonly type : any;

    constructor(options) {
        if (options.url) {
            this.url = options.url;
        }
        if (options.left) {
            this.left = options.left;
        }
        if (options.top) {
            this.top = options.top;
        }
        if (options.incognito) {
            this.incognito = options.incognito;
        }
        if (options.height) {
            this.height = options.height;
        }
        if (options.width) {
            this.width = options.width;
        }
        if (options.type) {
            this.type = options.type;
        }
    }
}